package com.xzzn.ems.service;

import com.xzzn.ems.domain.vo.*;

import java.util.List;

/**
 * 单点监控 服务层
 *
 */
public interface ISingleSiteService
{

    public SiteMonitorHomeVo getSiteMonitorDataVo(String siteId);

    public SiteMonitorHomeVo getSiteMonitorTotalDataVo(String siteId);


    public SiteMonitorRunningHeadInfoVo getSiteRunningHeadInfo(String siteId);

    public SiteMonitorRuningInfoVo getRunningGraphStorage(RunningGraphRequest request);

    public List<PcsDetailInfoVo> getPcsDetailInfo(String siteId);

    public List<BMSOverViewVo> getBMSOverView(String siteId);

    public List<BMSBatteryClusterVo> getBMSBatteryCluster(String siteId);

    public List<CoolingDataViewVo> getCoolingDataList(String siteId);

    public List<BatteryDataStatsListVo> getClusterDataInfoList(String clusterDeviceId,String siteId,
                                                               String stackDeviceId, String batteryId);

    public List<AmmeterDataVo> getAmmeterDataList(String siteId);

    public List<DhDataVo> getDhDataList(String siteId);

    public List<XfDataVo> getXfDataList(String siteId);

    public List<EmsDataVo> getEmsDataList(String siteId);

    public SiteMonitorRuningInfoVo getRunningGraphPcsMaxTemp(RunningGraphRequest request);

    public SiteMonitorRuningInfoVo getRunningGraphBatterySoc(RunningGraphRequest request);

    public SiteMonitorRuningInfoVo getRunningGraphBatteryTemp(RunningGraphRequest request);

    public List<BMSBatteryDataList> getClusterBatteryList(String siteId, String stackDeviceId, String clusterDeviceId);

    public List<PointDataResponse> getPointData(DateSearchRequest requestVo);
}
